Bug 1186674 - Failed to create directory /var/lock/ejabberdctl: No such file or directory
Summary: Failed to create directory /var/lock/ejabberdctl: No such file or directory
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ejabberd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-28 09:57 UTC by Vladislav Grigoryev
Modified: 2017-02-20 15:09 UTC (History)
7 users (show)

Fixed In Version: ejabberd-17.01-2.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-20 15:09:39 UTC


Attachments (Terms of Use)

Description Vladislav Grigoryev 2015-01-28 09:57:10 UTC
Description of problem:
> # journalctl -lu systemd-tmpfiles-setup.service -b
> systemd-tmpfiles[1493]: Failed to create directory /var/lock/ejabberdctl: No such file or directory
> systemd[1]: systemd-tmpfiles-setup.service: main process exited, code=exited, status=1/FAILURE
> systemd[1]: Failed to start Create Volatile Files and Directories.
> systemd[1]: Unit systemd-tmpfiles-setup.service entered failed state.
> systemd[1]: systemd-tmpfiles-setup.service failed.

Incorrect path in "/usr/lib/tmpfiles.d/ejabberd.conf".
Use "/run/lock/ejabberdctl" instead of "/var/lock/ejabberdctl".

Version-Release number of selected component (if applicable):
ejabberd-14.07-6.fc21.x86_64
systemd-216-17.fc21.x86_64

How reproducible:
Always.

Actual results:
# cat /usr/lib/tmpfiles.d/ejabberd.conf
d /var/lock/ejabberdctl 0750 ejabberd ejabberd

Expected results:
# cat /usr/lib/tmpfiles.d/ejabberd.conf
d /run/lock/ejabberdctl 0750 ejabberd ejabberd

Comment 1 Fedora End Of Life 2015-11-04 13:55:39 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Vladislav Grigoryev 2016-06-26 12:34:32 UTC
Also affects ejabberd-16.01-5.fc24.x86_64 on Fedora 24.

Comment 3 Jan Kurik 2016-07-26 04:33:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 4 Randy Barlow 2017-01-01 21:35:29 UTC
Hello ArcFi!

I see that /var/lock/ejabberdctl is still used in /usr/lib/tmpfiles.d/ejabberd.conf, but I do not see errors listed in the journal about it in Fedora 25. Does that mean this is no longer a problem (maybe something in Fedora 25 made it OK to reference /var/lock again)?

Comment 5 Randy Barlow 2017-02-20 03:48:34 UTC
It looks like /var/lock is a symlink to /run/lock, so I bet it will work either way. However, switching the file to say /run instead of /var is very easy so I will make the change.

Comment 6 Randy Barlow 2017-02-20 03:58:24 UTC
It appears that the /run/lock/ejabberd folder is not used on my Rawhide ejabberd server. I do not have an F24 or F25 ejabberd installation to test with, so I will not assume it isn't needed there either. I think this is what I will do:

Rawhide: Stop shipping /usr/lib/tmpfiles.d/ejabberd.conf
F24/25:  s/var/run/ in /usr/lib/tmpfiles.d/ejabberd.conf just in case it is needed.

Comment 7 Randy Barlow 2017-02-20 14:27:49 UTC
On second, thought, I believe I will only fix this on Rawhide since it didn't seem to cause any issues on F25 as I noted in comment 4 and since I don't have an ejabberd installation to test with for F24.


Note You need to log in before you can comment on or make changes to this bug.